MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
LTIOverrideMagnificationData Struct Reference

`#include <lti_imageStageOverrides.h>`

Inheritance diagram for LTIOverrideMagnificationData:
[legend]

## Public Member Functions
| LTIOverrideMagnificationData ()
LT_STATUS | setMagnification (double minMag, double maxMag)
| set the minimum and maximum magnifications of the image properties More...

## Public Attributes
double | m_minMag
double | m_maxMag

## Detailed Description

Definition at line 340 of file lti_imageStageOverrides.h.

## Constructor & Destructor Documentation

LTIOverrideMagnificationData::LTIOverrideMagnificationData | ( | ) |  |

## Member Function Documentation

LT_STATUS LTIOverrideMagnificationData::setMagnification | ( | double | minMag,
|  | double | maxMag
| ) |  |

This function is used to set the minimum and maximum magnifications of the image.

Derived classes may choose to call this function from within their initialize() method. If the minimum and maximum magnifications are not set, values of 1.0 are used (indicating the image may not be scaled larger or smaller).

Parameters

  minMag | the minimum magnification of the image
  maxMag | the maximum magnification of the image

Returns
  status code indicating success or failure

## Member Data Documentation

double LTIOverrideMagnificationData::m_maxMag

Definition at line 363 of file lti_imageStageOverrides.h.

Referenced by LTIOverrideMagnification< LTIOverrideIsSelective< LTIOverrideStripHeight< LTIOverrideDelegates< LTIOverridePixelLookupTables< LTIOverrideMetadata< LTIImageStage > > > > > >::getMaxMagnification().

double LTIOverrideMagnificationData::m_minMag

Definition at line 362 of file lti_imageStageOverrides.h.

Referenced by LTIOverrideMagnification< LTIOverrideIsSelective< LTIOverrideStripHeight< LTIOverrideDelegates< LTIOverridePixelLookupTables< LTIOverrideMetadata< LTIImageStage > > > > > >::getMinMagnification().

The documentation for this struct was generated from the following file:

- lti_imageStageOverrides.h

LizardTech